<?php
session_start();


require_once "../../../../config/database.php";

if (empty($_SESSION['username']) && empty($_SESSION['password'])){
    echo "<meta http-equiv='refresh' content='0; url=index.php?alert=1'>";
}

else {
    if ($_GET['act']=='insert') {
        if (isset($_POST['Guardar'])) {
     
			$id  = mysqli_real_escape_string($mysqli, trim($_POST['id']));
            $nombre  = mysqli_real_escape_string($mysqli, trim($_POST['nombre']));
			$cc1  = mysqli_real_escape_string($mysqli, trim($_POST['cc1']));
			$cc2  = mysqli_real_escape_string($mysqli, trim($_POST['cc2']));
			$cc3  = mysqli_real_escape_string($mysqli, trim($_POST['cc3']));
			$cc4  = mysqli_real_escape_string($mysqli, trim($_POST['cc4']));
			$cc4  = mysqli_real_escape_string($mysqli, trim($_POST['cc5']));  
            $query = mysqli_query($mysqli, "INSERT INTO parametro_correos (id,nombre,cc1,cc2,cc3,cc4,cc5) 
                                            VALUES('$id','$nombre','$cc1','$cc2','$cc3','$cc4','$cc5')")
                                            or die('error '.mysqli_error($mysqli));    

        
            if ($query) {
         
                header("location: ../../../../main.php?module=parametro_correos&alert=1");
            }   
        }   
    }
    
 	
	
	   elseif ($_GET['act']=='update') {
        if (isset($_POST['Guardar'])) {
            if (isset($_POST['id'])) {
        
                $id  = mysqli_real_escape_string($mysqli, trim($_POST['id']));
                $nombre  = mysqli_real_escape_string($mysqli, trim($_POST['nombre']));
				$cc1  = mysqli_real_escape_string($mysqli, trim($_POST['cc1']));
			    $cc2  = mysqli_real_escape_string($mysqli, trim($_POST['cc2']));
			    $cc3  = mysqli_real_escape_string($mysqli, trim($_POST['cc3']));
			    $cc4  = mysqli_real_escape_string($mysqli, trim($_POST['cc4']));
			    $cc5  = mysqli_real_escape_string($mysqli, trim($_POST['cc5'])); 
              

                $query = mysqli_query($mysqli, "UPDATE parametro_correos SET  nombre  = '$nombre',
				                                                    cc1 =     '$cc1',
																	cc2 =     '$cc2',
																	cc3 =     '$cc3',
																	cc4 =     '$cc4',
																	cc5 =     '$cc5'
                                                                    WHERE id  = '$id'")
                                                or die('error: '.mysqli_error($mysqli));
                                                                
        
                                                         

    
                if ($query) {
                  
                    header("location: ../../../../main.php?module=parametro_correos&alert=2");
                }         
            }
        }
    }

    elseif ($_GET['act']=='delete') {
        if (isset($_GET['id'])) {
            $id = $_GET['id'];
      
            $query = mysqli_query($mysqli, "DELETE FROM correos WHERE id='$id'")
                                            or die('error '.mysqli_error($mysqli));


            if ($query) {
     
                header("location: ../../../../main.php?module=parametro_correos&alert=3");
            }
        }
    }       
}       
?>